/***
* Výňatek z knihy "HTML5 a CSS3", vydal Computer Press.
* Autorská práva ke kódu. Nesmí se použít jako materiály k výuce, 
* v kurzech, knihách, článcích a podobně. V případě dotazů nás kontaktujte.
* Ručíme, že kódy ke knize odpovídají svému účelu. 
* Více informací o knize najdete na http://knihy.cpress.cz/k1948.
***/

/* Podpora zaoblení u starších prohlížečů pomocí jQuery Corner */

/* viz http://perfectionkills.com/feature-testing-css-properties/ */
function podporujeBorderRadius(){
  var element = document.documentElement;
  var styl = element.style;
  if (styl){
    return typeof styl.borderRadius == "string" ||
      typeof styl.MozBorderRadius == "string" ||
      typeof styl.WebkitBorderRadius == "string" ||
      typeof styl.KhtmlBorderRadius == "string" ;
  }
  return null;
}

(function($){  

  $.fn.formCorner = function(){   
    return this.each(function() {  
      var pole = $(this);
      var pole_pozadi = pole.css("background-color");
      var pole_ramecek = pole.css("border-color");
      pole.css("border", "none");
      var obal_sirka = parseInt(pole.css("width")) + 4;
      var obal = pole.wrap("<div></div>").parent();
      var ramecek = obal.wrap("<div></div>").parent();
      obal.css("background-color", pole_pozadi)
             .css("padding", "1px");
      ramecek.css("background-color",pole_ramecek)
            .css("width", obal_sirka + "px")
            .css('padding', '1px');
      obal.corner("round 5px");
      ramecek.corner("round 5px");
    });  
  };  
})(jQuery); 

$(function(){
  if(!podporujeBorderRadius()){
    $("input" ).formCorner();
    $("fieldset" ).corner("round 5px" );
    $("legend" ).corner("round top 5px cc:#fff" );
  }
});
